"""
2019. május idegennyelvű: Tantárgyfelosztás
@author Klemand66
"""

print("\n1. feladat\n")

betxt = open("beosztas.txt")

beosztasok=[]

for sor in betxt:
    nev=sor.strip()                     # 0
    tt=next(betxt).strip()              # 1
    oszt=next(betxt).strip()            # 2
    oraszam=int(next(betxt).strip())    # 3
    beosztasok.append([nev,tt,oszt,oraszam])
    
betxt.close()
print("A beolvasás és a szövegfájl lezárása sikeresen befejeződött.")



print("\n2. feladat\n")

print(f'A fájlban {len(beosztasok)} bejegyzés van.')



print("\n3. feladat\n")

oszamok=list(map(lambda i: beosztasok[i][3] ,range(len(beosztasok))))

print(f'Az iskolában a heti összóraszám {sum(oszamok)}')



print("\n4. feladat\n")

akttanar=input("Kérem egy tanár nevét (Pl. Albatrosz Aladin): ").strip()
aktbeosztasok=list(filter(lambda b: b[0]==akttanar  ,beosztasok))
aktoszamok=list(map(lambda i: aktbeosztasok[i][3] ,range(len(aktbeosztasok))))

print(f'A megadott tanár heti óraszáma: {sum(aktoszamok)}')



print("\n5. feladat\n")

ofok=list(filter(lambda b: b[1]=="osztalyfonoki"  ,beosztasok))

kitxt = open("of.txt","w")

for o in ofok:
    kitxt.write(f'{o[2]:>4} - {o[0]}\n')
 
kitxt.close()
print("\nA kiíratás és a szövegfájl lezárása sikeresen befejeződött.")



print("\n6. feladat\n")

aktoszt=input("Kérem egy osztály nevét (Pl. 10.b): ").strip()
akttt=input("Kérem egy tantárgy nevét (Pl. kemia): ").strip()
aktbeosztasok=list(filter(lambda b: b[2]==aktoszt and b[1]==akttt ,beosztasok))

if len(aktbeosztasok)>1:
    print("Csoportbontásban tanulják.")
else:
    print("Osztályszinten tanulják.")

    

print("\n7. feladat\n")

tanarlista=[]
for b in beosztasok:
    if b[0] not in tanarlista:
        tanarlista.append(b[0])

print(f'Az iskolában {len(tanarlista)} tanár tanít.')


input("\nA befejezéshez nyomd meg az ENTER billentyűt!")
